# PyAvia

**PyAvia** is a collection of modules useful for common tasks in aerospace
engineering or engineering in general.  

- **Documentation**: <a href="https://pyavia.readthedocs.io/en/latest/">PyAvia on ReadTheDocs.</a>
- **Repository**: <a href="https://github.com/ericjwhitney/pyavia">PyAvia on
 Github</a>
- **Current version**: 0.0.1

*Important points*:
- Development is intended to be organic.
- Modules presently included were either previously developed during my day
-to-day work as an engineer, or otherwise just out of curiosity.  If
 something seems like it might be useful to other people, I will try to
  include it.
- I don't intend on including anything that is particularly arcane, buggy,
  hard to use or not for the public domain.

## Warning

**CAVEAT COMPUTOR** - These modules are provided "as is", without warranty
of any kind.  They are intended to be read and/or used by people trained
in engineering and scientific methods who know how to verify results and
who can recognise incorrect values when they see them... *which will
happen frequently.*


## Installation
NumPy needs to be installed prior to installing PyAvia (*because setuptools
 is not completely working*), <a href="https://docs.scipy.org/doc/numpy/user/install.html">see this link</a>.

Once NumPy is installed, install PyAvia using the typical pip installation
 methods, for example:
- Using a shell with pip directly and root access:
```console
$ pip install pyavia
```
- Using a windows prompt as a user only: 
```console
C:\> py -m pip install --user pyavia
```

## License

[![License](http://img.shields.io/:license-mit-blue.svg?style=flat-square)](http://badges.mit-license.org)

- **[MIT license](http://opensource.org/licenses/mit-license.php)**
- Copyright 2020 © Eric J. Whitney.